Description

Audacious 3.4 cannot open new files in temporary playlist.

This option doesn't work nor from UI nor using CLI option --enqueue-to-temp.

History

#1 - October 02, 2013 23:18 - John Lindgren

That option is mostly obsolete because "Open files in a temporary playlist" has been the default behavior for a while now.  Can you be more specific

about what you expect to happen and what actually happens?

#2 - October 05, 2013 01:03 - Anonymous

John Lindgren wrote:

That option is mostly obsolete because "Open files in a temporary playlist" has been the default behavior for a while now.  Can you be more

specific about what you expect to happen and what actually happens?

 

There is an option in UI called "Open files in temporary playlist".  In previous version of Audacious, using this option I can open new files and they

appear in new, temporary playlist as requested (and currently playing playlist remains unchanged). But in version 3.4 this option is ignored, and when

I open new files, they always appear in current playlist.

By "Open new file" I mean both pressing "Enter" button on mp3 file in my file-browser or using command-line option "--enqueue-to-temp".

#3 - October 05, 2013 01:12 - John Lindgren

Maybe you are confused because the temporary playlist is now called "Now Playing" instead of "Temporary Playlist".  But it still behaves the same.  If

you have three playlists called "Playlist 1", "Playlist 2", and "Playlist 3", and then use --enqueue-to-temp, Audacious will create a new playlist called

"Now Playing" and open the new files there, leaving your other playlists unchanged.

#4 - October 05, 2013 01:14 - John Lindgren

To be clear, if you already have a playlist called "Now Playing", that will be treated as the temporary playlist.  I'm sorry this stuff isn't documented in a

manual somewhere, but I simply haven't the time to write one.

#5 - October 05, 2013 01:28 - Anonymous

John Lindgren wrote:
To be clear, if you already have a playlist called "Now Playing", that will be treated as the temporary playlist.  I'm sorry this stuff isn't documented

in a manual somewhere, but I simply haven't the time to write one.

 

Oh, I see... Very sad to hear that, because if I open some m3u file, I then have to do second thing - rename the playlist, because default name is...

"Now Playing" :)

Why don't use more intuitive behaviour and don't rely on playlist name but instead just create new temporary playlist and somehow mark it in memory

as "temporary" until it will be closed? Then if I open new file, just see if we have such "temporary" playlist opened, if yes - add files into it, otherwise

create one and then add files into it.

Well, if you understand me, I propose to create temporary playlist on demand, but not use by default the playlist already opened as temporary.

Hope I was clear in my request. Let's discuss! ;)

#6 - October 05, 2013 10:08 - Anonymous

Well, John... Looks like I deceived myself.

If open m3u playlist with menu item "Add files", then playlist receives name "New Playlist". But if open with "Open files", then playlist gets name "Now

Playing".

All is working as expected.

Sorry for misunderstanding. I think this item should be closed.

#7 - October 06, 2013 00:32 - John Lindgren

- Status changed from New to Rejected

- Target version deleted (3.4.2)

Okay, closing.  I'm glad you found a system that works for you.
